/* Taken from dw_styler_v3 */
/* RED */
form[id^="dialog"] input[type="button"][customstyle="styler_button_red"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #ef4444 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_red"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_red"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_red"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #dc2626 !important;
	color: #ffffff !important;
	border: solid 2px #dc2626 !important;
}
/* ORANGE */
form[id^="dialog"] input[type="button"][customstyle="styler_button_orange"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #f97316 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_orange"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_orange"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_orange"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #ea580c !important;
	color: #ffffff !important;
	border: solid 2px #ea580c !important;
}
/* AMBER */
form[id^="dialog"] input[type="button"][customstyle="styler_button_amber"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #f59e0b !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_amber"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_amber"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_amber"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #d97706 !important;
	color: #ffffff !important;
	border: solid 2px #d97706 !important;
}
/* YELLOW */
form[id^="dialog"] input[type="button"][customstyle="styler_button_yellow"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #eab308 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_yellow"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_yellow"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_yellow"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #ca8a04 !important;
	color: #ffffff !important;
	border: solid 2px #ca8a04 !important;
}
/* LIME */
form[id^="dialog"] input[type="button"][customstyle="styler_button_lime"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #84cc16 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_lime"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_lime"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_lime"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #65a30d !important;
	color: #ffffff !important;
	border: solid 2px #65a30d !important;
}
/* GREEN */
form[id^="dialog"] input[type="button"][customstyle="styler_button_green"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #22c55e !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_green"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_green"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_green"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #16a34a !important;
	color: #ffffff !important;
	border: solid 2px #16a34a !important;
}
/* EMERALD */
form[id^="dialog"] input[type="button"][customstyle="styler_button_emerald"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #10b981 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_emerald"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_emerald"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_emerald"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #059669 !important;
	color: #ffffff !important;
	border: solid 2px #059669 !important;
}
/* TEAL */
form[id^="dialog"] input[type="button"][customstyle="styler_button_teal"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #14b8a6 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_teal"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_teal"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_teal"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #0d9488 !important;
	color: #ffffff !important;
	border: solid 2px #0d9488 !important;
}
/* CYAN */
form[id^="dialog"] input[type="button"][customstyle="styler_button_cyan"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #06b6d4 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_cyan"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_cyan"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_cyan"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #0891b2 !important;
	color: #ffffff !important;
	border: solid 2px #0891b2 !important;
}
/* SKY */
form[id^="dialog"] input[type="button"][customstyle="styler_button_sky"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #0ea5e9 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_sky"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_sky"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_sky"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #0284c7 !important;
	color: #ffffff !important;
	border: solid 2px #0284c7 !important;
}
/* BLUE */
form[id^="dialog"] input[type="button"][customstyle="styler_button_blue"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #3b82f6 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_blue"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_blue"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_blue"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #2563eb !important;
	color: #ffffff !important;
	border: solid 2px #2563eb !important;
}
/* INDIGO */
form[id^="dialog"] input[type="button"][customstyle="styler_button_indigo"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #6366f1 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_indigo"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_indigo"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_indigo"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #4f46e5 !important;
	color: #ffffff !important;
	border: solid 2px #4f46e5 !important;
}
/* VIOLET */
form[id^="dialog"] input[type="button"][customstyle="styler_button_violet"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #8b5cf6 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_violet"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_violet"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_violet"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #7c3aed !important;
	color: #ffffff !important;
	border: solid 2px #7c3aed !important;
}
/* PURPLE */
form[id^="dialog"] input[type="button"][customstyle="styler_button_purple"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #a855f7 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_purple"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_purple"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_purple"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #9333ea !important;
	color: #ffffff !important;
	border: solid 2px #9333ea !important;
}
/* FUCHSIA */
form[id^="dialog"] input[type="button"][customstyle="styler_button_fuchsia"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #d946ef !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_fuchsia"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_fuchsia"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_fuchsia"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #c026d3 !important;
	color: #ffffff !important;
	border: solid 2px #c026d3 !important;
}
/* PINK */
form[id^="dialog"] input[type="button"][customstyle="styler_button_pink"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #ec4899 !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_pink"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_pink"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_pink"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #db2777 !important;
	color: #ffffff !important;
	border: solid 2px #db2777 !important;
}
/* ROSE */
form[id^="dialog"] input[type="button"][customstyle="styler_button_rose"]:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]) {
	background-color: #f43f5e !important;
	color: #ffffff !important;
}
form[id^="dialog"] input[type="button"][customstyle="styler_button_rose"]:focus:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_rose"]:active:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]),
form[id^="dialog"] input[type="button"][customstyle="styler_button_rose"]:hover:enabled:not(form[id^="dialog"] input[type="button"][readonly]):not(form[id^="dialog"] input[type="button"][disabled]):not(form[id^="dialog"] input[type="button"]:focus):not(form[id^="dialog"] input[type="button"]:active) {
	background-color: #e11d48 !important;
	color: #ffffff !important;
	border: solid 2px #e11d48 !important;
}